Last Comment Bug 657177 - Intermittent content/media/test/test_preload_actions.html and test_closing_connections.html | Exited with code -1073741819 during test run - crash [@ nsHttpConnectionMgr::nsConnectionHandle::Release]
: Intermittent content/media/test/test_preload_actions.html and test_closing_co...
Status: RESOLVED FIXED
[test which aborts the suite]
: crash, intermittent-failure
Product: Core
Classification: Components
Component: Audio/Video (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
: Maire Reavy [:mreavy]
Mentors:
Depends on:
Blocks: 438871 640213
  Show dependency treegraph
 
Reported: 2011-05-14 18:03 PDT by Matt Brubeck (:mbrubeck)
Modified: 2012-11-25 19:31 PST (History)
4 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Matt Brubeck (:mbrubeck) 2011-05-14 18:03:33 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305414431.1305416955.17143.gz

66069 INFO TEST-PASS | /tests/content/media/test/test_preload_actions.html | (12) Must get loadstart. - true should equal true
WARNING: shutting down early because of crash!: file e:/builds/moz2_slave/cen-w32-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 663
WARNING: plugin process _exit()ing: file e:/builds/moz2_slave/cen-w32-dbg/build/dom/plugins/ipc/PluginModuleChild.cpp, line 655
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_NewStream
NPP_DestroyStream
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
NPP_Destroy
nsStringStats
 => mAllocCount:            240
 => mReallocCount:            1
 => mFreeCount:             178  --  LEAKED 62 !!!
 => mShareCount:            129
 => mAdoptCount:              0
 => mAdoptFreeCount:          0
NEXT ERROR TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_preload_actions.html | Exited with code -1073741819 during test run
INFO | automation.py | Application ran for: 0:39:03.663000
INFO | automation.py | Reading PID log: c:\users\cltbld\appdata\local\temp\tmpkculampidlog
==> process 2832 launched child process 2828
INFO | automation.py | Checking for orphan process with PID: 2828
NEXT ERROR PROCESS-CRASH | /tests/content/media/test/test_preload_actions.html | application crashed (minidump found)
Operating system: Windows NT
                  6.1.7600 
CPU: x86
     GenuineIntel family 6 model 23 stepping 10
     2 CPUs

Crash reason:  EXCEPTION_ACCESS_VIOLATION_READ
Crash address: 0x41

Thread 27 (crashed)
 0  xul.dll!nsHttpConnectionMgr::nsConnectionHandle::Release() [nsHttpConnectionMgr.cpp:992f91cd375d : 1157 + 0x8d]
    eip = 0x671d4f8d   esp = 0x21d2f8f8   ebp = 0x21d2f90c   ebx = 0x11fabeb0
    esi = 0x00000000   edi = 0x00000000   eax = 0x120926c8   ecx = 0x120926c8
    edx = 0x00000001   efl = 0x00010202
    Found by: given as instruction pointer in context
 1  xul.dll!nsHttpTransaction::Close(unsigned int) [nsHttpTransaction.cpp:992f91cd375d : 645 + 0x13]
    eip = 0x671e427c   esp = 0x21d2f914   ebp = 0x21d2f944
    Found by: call frame info
 2  xul.dll!nsHttpConnection::CloseTransaction(nsAHttpTransaction *,unsigned int) [nsHttpConnection.cpp:992f91cd375d : 594 + 0x1e]
    eip = 0x671cf6e6   esp = 0x21d2f94c   ebp = 0x21d2f960
    Found by: call frame info
 3  xul.dll!nsHttpConnection::OnInputStreamReady(nsIAsyncInputStream *) [nsHttpConnection.cpp:992f91cd375d : 858 + 0x1a]
    eip = 0x671d0661   esp = 0x21d2f968   ebp = 0x21d2f974
    Found by: call frame info
 4  xul.dll!nsSocketInputStream::OnSocketReady(unsigned int) [nsSocketTransport2.cpp:992f91cd375d : 256 + 0x1c]
    eip = 0x6712b8e1   esp = 0x21d2f97c   ebp = 0x21d2f99c
    Found by: call frame info
 5  xul.dll!nsSocketTransport::OnSocketReady(PRFileDesc *,short) [nsSocketTransport2.cpp:992f91cd375d : 1534 + 0xf]
    eip = 0x6712fc8e   esp = 0x21d2f9a4   ebp = 0x21d2f9b4
    Found by: call frame info
 6  xul.dll!nsSocketTransportService::DoPollIteration(int) [nsSocketTransportService2.cpp:992f91cd375d : 742 + 0x20]
    eip = 0x67134a41   esp = 0x21d2f9bc   ebp = 0x21d2f9f4
    Found by: call frame info
 7  xul.dll!nsSocketTransportService::OnProcessNextEvent(nsIThreadInternal *,int,unsigned int) [nsSocketTransportService2.cpp:992f91cd375d : 607 + 0xc]
    eip = 0x6713447d   esp = 0x21d2f9fc   ebp = 0x21d2fa04
    Found by: call frame info
 8  xul.dll!nsThread::ProcessNextEvent(int,int *) [nsThread.cpp:992f91cd375d : 582 + 0x49]
    eip = 0x68892c48   esp = 0x21d2fa0c   ebp = 0x21d2fa78
    Found by: call frame info
 9  xul.dll!NS_ProcessNextEvent_P(nsIThread *,int) [nsThreadUtils.cpp:992f91cd375d : 250 + 0x15]
    eip = 0x68814c93   esp = 0x21d2fa80   ebp = 0x21d2fa94
    Found by: call frame info
10  xul.dll!nsSocketTransportService::Run() [nsSocketTransportService2.cpp:992f91cd375d : 649 + 0xa]
    eip = 0x671345b1   esp = 0x21d2fa9c   ebp = 0x21d2facc
    Found by: call frame info
11  xul.dll!nsThread::ProcessNextEvent(int,int *) [nsThread.cpp:992f91cd375d : 618 + 0x18]
    eip = 0x68892dc4   esp = 0x21d2fad4   ebp = 0x21d2fb34
    Found by: call frame info
12  xul.dll!NS_ProcessNextEvent_P(nsIThread *,int) [nsThreadUtils.cpp:992f91cd375d : 250 + 0x15]
    eip = 0x68814c93   esp = 0x21d2fb3c   ebp = 0x21d2fb50
    Found by: call frame info
13  xul.dll!nsThread::ThreadFunc(void *) [nsThread.cpp:992f91cd375d : 273 + 0xa]
    eip = 0x6889196e   esp = 0x21d2fb58   ebp = 0x21d2fb88
    Found by: call frame info
14  nspr4.dll!_PR_NativeRunThread [pruthr.c:992f91cd375d : 426 + 0xe]
    eip = 0x7307c8bb   esp = 0x21d2fb90   ebp = 0x21d2fb98
    Found by: call frame info
15  nspr4.dll!pr_root [w95thred.c:992f91cd375d : 122 + 0xe]
    eip = 0x73080f49   esp = 0x21d2fba0   ebp = 0x21d2fba8
    Found by: call frame info
16  msvcr80d.dll + 0x48d0
    eip = 0x720d48d1   esp = 0x21d2fbb0   ebp = 0x21d2fbe4
    Found by: call frame info
17  msvcr80d.dll + 0x4876
    eip = 0x720d4877   esp = 0x21d2fbec   ebp = 0x21d2fbf0
    Found by: previous frame's frame pointer
18  kernel32.dll + 0x51173
    eip = 0x76171174   esp = 0x21d2fbf8   ebp = 0x21d2fbfc
    Found by: previous frame's frame pointer
19  ntdll.dll + 0x5b3f4
    eip = 0x775fb3f5   esp = 0x21d2fc04   ebp = 0x21d2fc3c
    Found by: previous frame's frame pointer
20  ntdll.dll + 0x5b3c7
    eip = 0x775fb3c8   esp = 0x21d2fc44   ebp = 0x21d2fc54
    Found by: previous frame's frame pointer
Comment 1 Matt Brubeck (:mbrubeck) 2011-05-14 18:06:24 PDT
This is similar to the very old crash bug 241285.
Comment 2 Phil Ringnalda (:philor) 2011-05-14 20:20:02 PDT
http://tinderbox.mozilla.org/showlog.cgi?log=Firefox/1305425988.1305428246.28903.gz
Rev3 WINNT 6.1 mozilla-central debug test mochitests-1/5 on 2011/05/14 19:19:48
s: talos-r3-w7-012

TEST-UNEXPECTED-FAIL | /tests/content/media/test/test_closing_connections.html | Exited with code -1073741819 during test run

I expect this'll wind up fixed by http://hg.mozilla.org/mozilla-central/rev/42f1cd502298 which backed out the patch from bug 640213.
Comment 3 Chris Pearce (:cpearce) 2011-05-15 15:43:57 PDT
No more instances of this failure reported, so I'll claim it's been fixed by backout of bug 640213.

Note You need to log in before you can comment on or make changes to this bug.